check_Java_library(){

if [ -d "$3" -a -d "$4" ]; then 
	echo "The environment has been configured correctly."
	echo "Metadata Quality Analysis Tool is starting now......."
else
	echo "Sorry. The environment has not configured correctly."
	echo "Please use the ant command to setup the enviroment"
	exit 1
fi
}

thisdir=`pwd`

gsdlpath=`(cd ../.. && pwd)`

jnidir=$gsdlpath/lib/jni

extdirs=$thisdir/lib

classesdir=$thisdir/build/classes

echo "Metadata Quality Analysis Tool" $thisdir
echo "Check Java Library"

check_Java_library $thisdir $jnidir $extdirs $classesdir


if [ "x$1" = "x" ] ; then
java -Djava.library.path=$jnidir -Djava.ext.dirs=$extdirs -classpath $classesdir org.greenstone.gsdl3_extension.mat.CollectionChooser

else
java -Djava.library.path=$jnidir -Djava.ext.dirs=$extdirs -classpath $classesdir org.greenstone.gsdl3_extension.mat.CollectionChooser $1
fi

#java -Djava.library.path=$jnidir -Djava.ext.dirs=$extdirs -classpath $classesdir org.greenstone.gsdl3_extension.mat.CollectionChooser

